import 'package:flutter/foundation.dart';
import 'package:flutter/services.dart';

import 'guru_navigator_platform_interface.dart';

/// An implementation of [GuruNavigatorPlatform] that uses method channels.
class MethodChannelGuruNavigator extends GuruNavigatorPlatform {
  /// The method channel used to interact with the native platform.
  @visibleForTesting
  final methodChannel = const MethodChannel('app.guru.guru_navigator');

  @override
  void init(Future Function(MethodCall call) handler) {
    methodChannel.setMethodCallHandler(handler);
  }
}
